# Class TCefFindHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFFindHandler

## Declaration

`type TCefFindHandlerOwn = class(TCefBaseRefCountedOwn, ICefFindHandler)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefFindHandlerOwn

## Overview

### Methods

| `procedure OnFindResult(const browser: ICefBrowser; identifier, count: Integer; const selectionRect: PCefRect; activeMatchOrdinal: Integer; finalUpdate: Boolean); virtual; abstract;`
| `procedure RemoveReferences; virtual;`
| `constructor Create; virtual;`

## Description

### Methods

| `procedure OnFindResult(const browser: ICefBrowser; identifier, count: Integer; const selectionRect: PCefRect; activeMatchOrdinal: Integer; finalUpdate: Boolean); virtual; abstract;`
This item has no description. Showing description inherited from ICefFindHandler.OnFindResult. Called to report find results returned by ICefBrowserHost.find(). |identifer| is a unique incremental identifier for the currently active search, |count| is the number of matches currently identified, |selectionRect| is the location of where the match was found (in window coordinates), |activeMatchOrdinal| is the current position in the search results, and |finalUpdate| is true (1) if this is the last find notification.

| `procedure RemoveReferences; virtual;`
This item has no description. Showing description inherited from ICefFindHandler.RemoveReferences. Custom procedure to clear all references.

| `constructor Create; virtual;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.